Bug 191553 - Review Request: crossfire-maps - map files for the crossfire game server
Review Request: crossfire-maps - map files for the crossfire game server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-12 16:45 EDT by Wart
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 01:19:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wart 2006-05-12 16:45:35 EDT
Spec URL: http://www.kobold.org/~wart/fedora/crossfire-maps.spec
SRPM URL: http://www.kobold.org/~wart/fedora/crossfire-maps-1.9.0-1.src.rpm
Description: 
Maps for use with the crossfire game server
Comment 1 Christopher Stone 2006-05-15 20:10:57 EDT
* rpmlint output
W: crossfire-maps no-documentation
W: crossfire-maps hidden-file-or-dir /usr/share/crossfire/maps/.emergency
W: crossfire-maps-devel no-documentation

- No documention warnings okay.
- .emergency file is okay I guess, rpmlint says to check if it's normal and
delete it if it's not.  The .emergency file looks like it's part of the world/
map stuff, but I cannot determine if it's needed.  I'm giving the benefit of the
doubt and saying it's needed.

* Package meets Package Naming Guidelines
* spec file match base package %{name}
* Package meets Package Guidelines
* Package licensed with open source license
* License matches crossfire license
* No license file in source package
* Spec file in American English
* Spec file legible
* Souces match upstream
265c4dfdbdedaa2c565ea831f5f74a0c  crossfire-1.9.0-1.maps.tar.gz
265c4dfdbdedaa2c565ea831f5f74a0c  crossfire-1.9.0-1.maps.tar.gz
* Package builds under mock for FC5 x86_64
* No BuildRequires needed
* Package does not use locales
* Package does not contain any shared libraries
* Package is not relocatable
* Package owns the directories it creates
* No duplicate files in %files
* All files have appropriate %defattr settings
* %clean section present
* Macro usage consistant
* Package contains permissible content
* Package does not contain large documentation to warrent a -doc package
* No files in %doc affect runtime
* Package does not contain headers or static libraries, or .pc files
* Package does not contain any .so files
* devel package contains fully versioned dependency on base package
* Package does not contain any .la files
* Package does not need a .desktop file
* Package does not own files or directories owned by other packages

*** APPROVED ***

Non-Blocking SHOULDs:
- SHOULD: If the source package does not include license text(s) as a separate
file from upstream, the packager SHOULD query upstream to include it.
- SHOULD: Check hidden file .emergency to see if it is really required.
Comment 2 Wart 2006-05-15 20:23:48 EDT
(In reply to comment #1)

> Non-Blocking SHOULDs:
> - SHOULD: If the source package does not include license text(s) as a separate
> file from upstream, the packager SHOULD query upstream to include it.

I've notified upstream:

https://sourceforge.net/tracker/index.php?func=detail&aid=1489214&group_id=13833&atid=113833

> - SHOULD: Check hidden file .emergency to see if it is really required.

It's used by common/init.c as a fallback for various map-related problems.
Comment 3 Wart 2006-05-17 00:11:42 EDT
Imported and built.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.